using C4IT.Logging;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace IpRangeToConfigConverter
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            InitializeLogger();
        }

        private void InitializeLogger()
        {
            cLogManagerFile.CreateInstance(false, SubFolder: "Logs");
            cLogManager.DefaultLogger.LogAssemblyInfo();
        }
    }
}
